# Interface JobExecutor

### Hierarchy

- JobExecutor

### Implemented by

- BaseJobExecutor
- ComputeJobExecutor
- JesJobExecutor
- WebJobExecutor

### Properties

- clearRequests
- execute
- getRequests
- resendWaitingRequests

## Properties

### clearRequests

clearRequests: function

- Defined in src/job-execution/JobExecutor.ts:17

#### Type declaration

- - (): void

  - #### Returns void

### execute

execute: function

- Defined in src/job-execution/JobExecutor.ts:8

#### Type declaration

- - (sasJob: string, data: any, config: any, loginRequiredCallback?: any, accessToken?: undefined | string): Promise<any>

  - #### Parameters

    - ##### sasJob: string

    - ##### data: any

    - ##### config: any

    - ##### Optional loginRequiredCallback: any

    - ##### Optional accessToken: undefined | string

    #### Returns Promise<any>

### getRequests

getRequests: function

- Defined in src/job-execution/JobExecutor.ts:16

#### Type declaration

- - (): SASjsRequest[]

  - #### Returns SASjsRequest[]

### resendWaitingRequests

resendWaitingRequests: function

- Defined in src/job-execution/JobExecutor.ts:15

#### Type declaration

- - (): Promise<void>

  - #### Returns Promise<void>

Generated using TypeDoc